@echo off
echo Brother PocketJet 6 (622) Onboard Installation Script
echo Version 1.0
Echo.
set BatDir=%~dp0
echo %Date% %Time%  USB Drive: %BATDIR% 
Set SrcDrive=%BatDir%

rem Determine if this is a one or two drive system
set DestDrive=d:
if exist %DestDrive%\PowerDB\Onboard.mdb goto UpdateD
set DestDrive=C:
rem put a double check here that this is not a normal PC
if exist "%DestDrive%\program files\Megger\D4KMenu\D4KMenu.exe" Goto D4KMTO
if not exist "%DestDrive%\MTO\MTOTestXP.exe" Goto IsPC

:D4KMTO
rem if dest is C: then an unlocked system, just do update
call %SrcDrive%\BrotherUp.cmd %SrcDrive%
rem relaunch the menu program
Echo Shutting Down Now
c:\SysShutDown.exe
goto :end

set DestDrive=C:\

if exist "%SrcDrive%UseDDrive.set" (
  set DestDrive=D:\
)

:UpdateD
rem this is a locked system so unlock it
echo %DestDrive%, %SrcDrive%
move %DestDrive%\factory.cmd %DestDrive%\factory.mstr
copy %SrcDrive%\factory.cmd %DestDrive%\factory.cmd
copy %SrcDrive%\FacRstr.cmd %DestDrive%\FacRstr.cmd
%DestDrive%\EWF_DIS.CMD
rem at this point the system if off unlocking and rebooting....
goto end

:IsPC
Cls
Echo It seems that this install is being used on a unsupported system.
Echo.
Echo To install on a PC please use the Brother provided CD.
Echo.
Echo If this is a Megger Instrument which supports the PocketJet 6
Echo please reread the instructions and try again.
Echo.
Echo Otherwise, please call Support 1 800 723- 2861 or
Echo use the Web to find a local number http://www.megger.com
Echo.


:end