@echo off
rem
:cmdstart
@echo off
cls
echo Factory.CMD replacement - Brother Update
echo Version 1.0
set DestDrive=d:
if not exist %DestDrive%\PowerDB\Onboard.mdb goto ErrLoop1

rem find the USB stick
rem at this point we know this is a two drive system
rem set SrcDrive=d:
rem if exist %SrcDrive%\PdbChain.bat goto SourceFound

echo Checking Drive E:
set SrcDrive=e:
if exist %SrcDrive%\PdbChain.bat goto SourceFound

echo Checking Drive F:
set SrcDrive=f:
if exist %SrcDrive%\PdbChain.bat goto SourceFound

echo Checking Drive G:
set SrcDrive=g:
if exist %SrcDrive%\PdbChain.bat goto SourceFound

rem give up, no USB stick found...
goto ErrLoop

rem Subroutines
:SourceFound
call %SrcDrive%\MeggerUpdate\BrotherUp.cmd %SrcDrive%\MeggerUpdate\

Echo Done with printer update
goto ITEME

:ErrorLoop1
Echo.
Echo Error: Destination seems to be corrupted or installing on an incorrect instrument.
goto ErrMore

:Errloop
echo ERROR: Could not find source drive, Please reinsert your USB Memory Stick.
echo and try again once the stick's indicator lamp stops flashing.
goto ErrMore

:ErrMore
echo Please press T to try again or E to end then press ENTER 
set Choice=
set /P Choice=Please make selection (T or E):
:: The syntax in the next line extracts the substring
:: starting at 0 (the beginning) and 1 character long
IF NOT '%Choice%'=='' SET Choice=%Choice:~0,1%
ECHO 
:: /I makes the IF comparison case-insensitive
IF /I '%Choice%'=='T' GOTO cmdstart
IF /I '%Choice%'=='E' GOTO ItemE
ECHO "%Choice%" is not valid. Please try again.
ECHO 
GOTO ErrMore

:ITEME
rem user wants to giveup
rem Restore original Factory command passing it the drive letter
%DestDrive%\FacRstr.cmd %DestDrive%

:end

 
